@charset "UTF-8";
/* CSS Document */

/* ==================================================================== */
/* ********************************************************************

/* 各コンテンツ設定

/* ******************************************************************** 
/* ==================================================================== */

/* ==================================================================== */
/* 
/* index / トップページ
/* 
/* ==================================================================== */

/* ==================================================== */
/* #hero / メインビジュアル
/* ==================================================== */

.front_page #hero {
  width: 100%;
  height: auto;
  overflow: visible;
  margin-bottom: 50px;
}

.front_page #hero .swiper {
  overflow: hidden;
}

.swiper-pagination {
    bottom: -40px !important; 
    position: absolute;
    left: 0;
    width: 100%;
}

/* スライド自体の高さを揃える */
.swiper-slide {
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* スライド内の画像を親要素（.swiper-slide）に追従させる */
.swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* ページネーション */
.swiper-pagination-bullet-active {
  background: var(--color-action__inverse);
}

/* @media: [Mobile] (750px 以下)
------------------------------------------------------- */
@media screen and (max-width: 750px) {

}



/* ==================================================== */
/* .special-banners / 特集
/* ==================================================== */
.front_page .special-banners .banner-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  margin-top: var(--spacing-xl);
  gap: 2rem;
}
/* @media: [Mobile] (750px 以下)
------------------------------------------- */
@media screen and (max-width: 750px) {
  .front_page .special-banners .banner-grid {
    grid-template-columns: 100%;
  }
}


/* ==================================================== */
/* .p-new-arrivals / NEW ITEM 新商品
/* ==================================================== */

.front_page .p-new-arrivals {
  margin-top: var(--spacing-l);
}
.front_page .p-new-arrivals .cmnInner {
  display: grid;
  grid-template-columns: 20% 80%;
  justify-content: center;
}
.front_page .p-new-arrivals .cmnTtl_box {
  justify-self: center;
  align-self: center;
  text-align: center;
  /* padding: 0 5rem; */
}
.front_page .p-new-arrivals .p-new-arrivals__wrapper {
  position: relative;
  padding-left: 5rem;
}
.front_page .p-new-arrivals .p-new-arrivals__wrapper::after {
  content: "";
  width: 1px;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  background: var(--color-decoration__tertiary);
}
.front_page .p-new-arrivals .p-new-arrivals__wrapper .l-product-list {
  grid-template-columns: repeat(4, 1fr);
}

/* 新商品用ボタン */
.p-new-arrivals__Btn a {
  padding: 0.5rem 2rem;
  border-radius: 1rem;
  background: #000;
  color: #fff;
}

/* @media: [Mobile] (750px 以下)
------------------------------------------- */
@media screen and (max-width: 750px) {
  .front_page .p-new-arrivals .cmnInner {
    display: block;
  }
  .front_page .p-new-arrivals .cmnTtl_box {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .front_page .p-new-arrivals .p-new-arrivals__wrapper {
    padding-left: 0;
  }
  .front_page .p-new-arrivals .p-new-arrivals__wrapper::after {
    content: none;
  }
  .front_page .p-new-arrivals .p-new-arrivals__wrapper .l-product-list {
    grid-template-columns: repeat(2, 1fr);
  }
}


/* ==================================================== */
/* .p-category / CATEGORY カテゴリ
/* ==================================================== */
.front_page .p-category {
  margin-top: var(--spacing-l);
}
.front_page .p-category .p-category__wrapper {
  padding: 6rem 0;
  border-top: 1px solid var(--color-decoration__tertiary);
  border-bottom: 1px solid var(--color-decoration__tertiary);
}
.front_page .p-category .p-category__wrapper .p-category__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  row-gap: 2rem;
}
.front_page .p-category .p-category__wrapper .p-category__list .p-category__item::after {
  content: "／";
  color: var(--color-decoration__tertiary);
  padding: 0 12px;
}
/* @media: [Mobile] (750px 以下)
------------------------------------------- */
@media screen and (max-width: 750px) {
  .front_page .p-category .cmnTtl_box {
    margin-bottom: 0;
    border-bottom: none;
  }
  .front_page .p-category .p-category__wrapper {
    padding: 2rem 0;
  }
  .front_page .p-category .p-category__wrapper .p-category__list {
    row-gap: 0.25rem;
    justify-content: left;
  }
  .front_page .p-category .p-category__wrapper .p-category__list .p-category__item {
    flex: 0 0 auto;
  }
  .front_page .p-category .p-category__wrapper .p-category__list .p-category__item::after {
    padding: 0 2px;
  }
}


/* ==================================================== */
/* .p-recommend / RECOMMENDED おすすめ
/* ==================================================== */
.front_page .p-recommend {
  margin-top: var(--spacing-l);
}
/* @media: [Mobile] (750px 以下)
------------------------------------------- */
@media screen and (max-width: 750px) {
}

/* ==================================================== */
/* .p-news / NEWS 最新情報
/* ==================================================== */
.front_page .p-news {
  margin-top: var(--spacing-l);
  padding: 5rem 0; 
  background: var(--color-surface__box);
}
.front_page .p-news .cmnTtl_box {
  text-align: center;
}
.front_page .p-news .p-news__main {
  width: 100%;
  max-width: 720px;
  margin: 0 auto;
}
.front_page .p-news .p-news__main .p-news__item {
  display: grid;
  grid-template-columns: 20% 65% 5%;
  column-gap: 5%;
  padding: 2rem 0;
  border-bottom: 1px solid var(--color-decoration__tertiary);
  cursor: pointer;
}
.front_page .p-news .p-news__main .p-news__item:last-child {
  border-bottom: none;
}
/* @media: [Mobile] (750px 以下)
------------------------------------------- */
@media screen and (max-width: 750px) {
  .front_page .p-news .p-news__main .p-news__item {
    grid-template-columns: 85% 5%;
  }
  .front_page .p-news .p-news__main .p-news__item .date_box {
    grid-column: 1 / 3;
    grid-row: 1 / 2;
  }
  .front_page .p-news .p-news__main .p-news__item .news_box {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }  
  .front_page .p-news .p-news__main .p-news__item .news_box {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }  
}


/* アコーディオン */
.front_page .p-news .p-news__main .p-news__item .txt {
  display: none;
  margin-top: 1.5rem;
  line-height: 1.8;
}

/* 開いている状態のスタイル */
.front_page .p-news .p-news__main .p-news__item.is-open .txt {
  opacity: 1;
  margin-top: 1rem;
  /* heightはJSで動的に付与します */
}

/* アイコン：transitionを追加して回転を滑らかにする */
.front_page .p-news .p-news__main .p-news__item .btn img {
  width: 100%;
  max-width: 20px;
  height: auto;
  transition: transform 0.4s ease;
}

/* 開いている時のアイコン回転 */
.front_page .p-news .p-news__main .p-news__item.is-open .btn img {
  transform: rotate(180deg);
}



/* ==================================================================== */
/* 
/* product-list / 商品一覧
/* 
/* ==================================================================== */



